Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

IDS 4.1 upgrade to 5.x problems

I am trying to upgrade a 4215 but am not having any luck. I have read the release notes and already upgraded the BIOS but I get the following error when I try the major upgrade.

sensor# config t

sensor(config)# upgrade ftp://kevinf@10.196.192.101/IPS-K9-maj-5.0-1-S149.rpm.pkg

Password: ******

Warning: Executing this command will apply a major version upgrade to the application partition. The system may be rebooted to complete the upgrade.

Continue with upgrade? : yes

Broadcast message from root (Wed Apr 12 15:38:28 2006):

Applying update IPS-K9-maj-5.0-1-S149.

Shutting down all CIDS processes. All connections will be terminated.

The system will be rebooted upon completion of the update.

Broadcast message from root (Wed Apr 12 15:38:41 2006):

Error converting config. Install aborted.

Error: Error was: -Commit current config-: Validate error for the component "networkAccess" and the instance ""

/general/master-blocking-sensors/[ipaddress=10.196.192.51]/password/ -- The string length, 0, is less than min, 1

/general/master-blocking-sensors/[ipaddress=10.196.192.51]/username/ -- The string length, 0, is less than min, 1

When I check the version I see that the "neworkaccess" is not running and if I try to enable it I get the following error.

sensor# conf t

sensor(config)# service networkaccess

Error: ct-nac.1280 not responding, please check system processes - The connect to the specified Io::ServerPipe failed.

Please Help!! Thanks

  • Intrusion Prevention Systems/IDS
1 REPLY
New Member

Re: IDS 4.1 upgrade to 5.x problems

I found there was a bug noted below

CSCsa70875

Externally found moderate defect: Verified (V) Upgrade to 5.0 from 4.1(4)S150 Fails.

Workaround

Upgrade to 4.1(4)S151 or higher sig update and then apply the 5.x upgrade.

Bug Tool

http://www.cisco.com/cgi-bin/Support/Bugtool/home.pl

I have upgraded to to 4.1(5)S189 to fix this bug but now when I tried to upgrade to the 5.0 I get an error that the AnalysisEngine is not running.

Continue with upgrade? : yes

Error: AnalysisEngine is currently busy and unable to process this update. Please wait several minutes before attempting update again.

I will try again in a bit.

117
Views
0
Helpful
1
Replies